plugins.rawSQL.executeSQL

Questions and answers on developing, deploying and using plugins and JavaBeans

plugins.rawSQL.executeSQL

Postby [email protected] » Mon May 07, 2018 3:08 pm

Warning: The method executeSQL() from the type Plugin<rawSQL> is deprecated
Version: 8.3.0.3203
Is this a bug or is it true???
Jos Uitenbogaard
Devoon
User avatar
[email protected]
 
Posts: 58
Joined: Tue Oct 25, 2011 11:59 am
Location: Reeuwijk NL

Re: plugins.rawSQL.executeSQL

Postby ROCLASI » Mon May 07, 2018 3:14 pm

I haven't checked this version yet.
But it usually means you pass some argument types that are not supported (or not known).
Robert Ivens
ROCLASI Software Solutions / JBS Group, Partner
SAN Developer / Servoy Valued Professional / Servoy Certified Developer
Twitter: @roclasi / @servoyforge
--
ServoyForge - Building Open Source Software.
PostgreSQL - The world's most advanced open source database.
User avatar
ROCLASI
Servoy Expert
 
Posts: 5282
Joined: Thu Oct 02, 2003 9:49 am
Location: Netherlands/Belgium

Re: plugins.rawSQL.executeSQL

Postby [email protected] » Mon May 07, 2018 3:20 pm

I get the impression the 'tableName' argument (2nd) is skipped. Now it just is ('server', 'query', ['arguments']). Looks logical, but it means work...
Jos Uitenbogaard
Devoon
User avatar
[email protected]
 
Posts: 58
Joined: Tue Oct 25, 2011 11:59 am
Location: Reeuwijk NL

Re: plugins.rawSQL.executeSQL

Postby rgansevles » Fri May 11, 2018 10:35 am

Correct,

The tablename parameter was not used, there are now 2 new methods executeSQL() methods without the tablename, the existing ones are deprecated.
You can remove the tablename argument to get rid of the warning.
Rob Gansevles
Servoy
User avatar
rgansevles
 
Posts: 1867
Joined: Wed Nov 15, 2006 6:17 pm
Location: Amersfoort, NL


Return to Plugins and Beans

Who is online

Users browsing this forum: No registered users and 4 guests